Subject: Re: [Idr] I-D Action: draft-li-idr-sr-policy-path-mtu-01.txt

From: Robert Raszuk <[email-masked]>
Date: Thu, 27 Dec 2018 11:31:20 +0100

Authors,

SR policy draft aims to add new SAFI to distribute SR policies aka paths
via BGP.

However in SR "path" really means single or set of anchor points packets
would need to traverse to meet required policies, It makes no assumption
about nodes or links which are not on the SR node list and are places
between SR nodes.

Your draft (while perhaps theoretically useful) introduces completely new
dynamics to the SR policy proposal as now the originator of SR policies
must track atomic link MTUs on how to get from any potential recipient of
such policies to given list of anchor nodes (SR nodes).

Even encoding wise the draft as proposed does not meet the stated
requirements as it mistakenly assumes  that MTU to reach given set of
policies would be identical from any ingress node.

Last - in practice there is no way for the controller or any other oracle
to know the real MTU since many networks uses emulated circuits as native
links and the real MTU not only may change every delta time, but is only
detectable by data plane end to end probes.

With that I think this proposal should not be added to SR policy document
in the current form.

Kind regards,
Robert.

On Thu, Dec 27, 2018 at 9:18 AM <[email-masked]> wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
>         Title           : Segment Routing Path MTU in BGP
>         Authors         : Cheng Li
>                           Zhenbin Li
>         Filename        : draft-li-idr-sr-policy-path-mtu-01.txt
>         Pages           : 7
>         Date            : 2018-12-27
>
> Abstract:
>    Segment routing is a source routing paradigm that explicitly
>    indicates the forwarding path for packets at the ingress node.  An SR
>    policy is a set of candidate SR paths consisting of one or more
>    segment lists with necessary path attributes.  However, the path
>    maximum transmission unit (MTU) information for SR path is not
>    available in the SR policy since the SR does not require signaling.
>    This document defines extensions to BGP to distribute path MTU
>    information within SR policies.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-li-idr-sr-policy-path-mtu/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-li-idr-sr-policy-path-mtu-01
> https://datatracker.ietf.org/doc/html/draft-li-idr-sr-policy-path-mtu-01
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-li-idr-sr-policy-path-mtu-01
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>